org.springframework.jms.config

## Interface JmsListenerContainerFactory<C extends MessageListenerContainer>

Type Parameters:
  `C` - the container type

All Known Implementing Classes:
  AbstractJmsListenerContainerFactory, DefaultJcaListenerContainerFactory, DefaultJmsListenerContainerFactory, SimpleJmsListenerContainerFactory

    public interface JmsListenerContainerFactory<C extends MessageListenerContainer>

Factory of `MessageListenerContainer` based on a `JmsListenerEndpoint` definition.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  `JmsListenerEndpoint`

### Method Summary

All Methods Instance Methods Abstract Methods
`C` `createListenerContainer(JmsListenerEndpoint endpoint)` Create a `MessageListenerContainer` for the given `JmsListenerEndpoint`.

### Method Detail

#### createListenerContainer

    C createListenerContainer(JmsListenerEndpoint endpoint)

Create a `MessageListenerContainer` for the given `JmsListenerEndpoint`.

Parameters:
  `endpoint` - the endpoint to configure
Returns:
  the created container